#ifndef _DETAILISPINDEL_H
#define _DETAILISPINDEL_H

#include <QDialog>
#include <QDoubleSpinBox>
#include <QCheckBox>
#include <QComboBox>
#include <QRadioButton>
#include <QLineEdit>
#include <QDialogButtonBox>


namespace Ui {
class DetailiSpindel;
}

class DetailiSpindel : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit DetailiSpindel(int id, QWidget *parent = 0);
    ~DetailiSpindel();

private slots:
    void on_quitButton_clicked();
    void refreshTable(void);
    void mode_changed(int val);
    void code_changed(int val);

public slots:
    void refreshiSpindel(QString);

private:
    Ui::DetailiSpindel *ui;
    QString _node, _alias, _uuid, _beercode, _beername;
    int recno;
};

#endif
